import request from '@/utils/request'

// 查询档案行政分类列表
export function listAreaSort(query) {
  return request({
    url: '/dangan/areaSort/list',
    method: 'get',
    params: query
  })
}

// 查询档案行政分类详细
export function getAreaSort(id) {
  return request({
    url: '/dangan/areaSort/' + id,
    method: 'get'
  })
}

// 新增档案行政分类
export function addAreaSort(data) {
  return request({
    url: '/dangan/areaSort',
    method: 'post',
    data: data
  })
}

// 修改档案行政分类
export function updateAreaSort(data) {
  return request({
    url: '/dangan/areaSort',
    method: 'put',
    data: data
  })
}

// 删除档案行政分类
export function delAreaSort(id) {
  return request({
    url: '/dangan/areaSort/' + id,
    method: 'delete'
  })
}
